<?php
namespace app\blog\controller;

use app\blog\controller\Front;

class Tag extends Front
{
    protected function initialize()
    {
        parent::initialize(); 
    }
    
    public function index()
    {
        //参数判断
        if( isset($this->query['id']) ){
            $data = model('blog/Tag','loglic')->getId($this->query['id'], config('cache.expire_detail'), 'normal');
        }elseif( isset($this->query['slug']) ){
            $data = model('blog/Tag','loglic')->getSlug($this->query['slug'], config('cache.expire_detail'), 'normal');
        }else{
            $data = [];
        }
        //数据判断
        if(!$data){
            abort(404);
        }
        //SEO标签
        $this->site['active'] = 'blogtagindex'.$data['tag_id'];
        $this->site['title'] = $this->seoReplace(xfEmpty($data['tag_title'],$data['tag_name']),true);
        $this->site['keywords'] = xfEmpty($data['tag_keywords'],$data['tag_name']);
        $this->site['description'] = $this->seoReplace(xfEmpty($data['tag_description'],$data['tag_excerpt']));
        //分页数据
        $data['tag_limit'] = xfEmpty($data['tag_limit'],config('channel.limit'));
        if($data['tag_limit']){
            $pageList = $this->pageList($data['tag_id'],$data['tag_limit']);
        }
        //模板赋值
        $this->assign($data);
        $this->assign($pageList);
        $this->assign($this->site);
        //自定义模板
        if($data['tag_tpl']){
            return $this->fetch($data['tag_tpl']);
        }
        //默认加载
        return $this->fetch();
    }

    //分页查询
    private function pageList($tagId=0,$tagLimit=0)
    {
        $args = [
            'cache' => config('cache.expire_items'),
            'order' => [
                'detail_top' => 'desc',
                'detail_id'  => 'desc',
            ],
            'join'  => [
                ['tag_map','tag_map.tag_mp_did = detail_id'],
            ],
            'where' => [
                ['tag_map.tag_mp_tid','eq',$tagId],
                ['detail_status','eq','normal'],
            ],
        ];
        //查询数据
        return model('blog/Index','loglic')->allPage($args, $tagLimit, $this->site['page'], 0, xfUrlPath('blog/tag/index',$this->query));
    }
}