<?php
namespace app\blog\controller\admin;

use app\common\controller\Back;

class Tag extends Back
{
    private $pageSize = 20;

    protected function initialize()
    {
        parent::initialize();
    }

    public function index()
    {
        $args = [
            'where' => [],
        ];
        //排序
        $sortOrder = $this->query['sortOrder'];
        if(!in_array($sortOrder,model('common/Sort','loglic')->tag())){
            $sortOrder = 'tag_id';
        }
        $args['order'] = [
            $sortOrder => 'desc',
        ];
        //状态
        if($this->query['status']){
            if(in_array($this->query['status'],model('common/Attr','loglic')->statusKeys())){
                array_push($args['where'],['tag_status','eq',$this->query['status']]);
            }
        }
        //搜索
        if($this->query['searchText']){
            array_push($args['where'],['tag_name|tag_excerpt','like','%'.$this->query['searchText'].'%']);
        }
        //查询数据
        $pageList = model('blog/Tag','loglic')->allPage($args,$this->pageSize,$this->site['page'],false,xfUrlPath('blog/admin.tag/index',$this->query));
        //模板变量赋值
        $this->assign($pageList);
        $this->assign($this->site);
        $this->assign('query',$this->query);
        //记录请求
        redirect()->remember();
        //渲染模板输出
        return $this->fetch();
    }

    //返回标签一一对应关系
    public function auto()
    {
        $tagName = input('name/s','');
        if(!$tagName){
            $this->error('名称不能为空');
        }
        if(strlen($tagName)<2){
            $this->error('标签长度需要大于2个字');
        }
        $result = model('blog/Tag','loglic')->getOption($tagName);
        if(!$result){
            $this->error('标签不存在');
        }
        $this->success('ok','blog/admin.tag/index',['id'=>key($result),'name'=>end($result)]);
    }

    public function create()
    {
        $form = xfFormCreate([
            'name'      => 'blogAdminTagCreate',
            'action'    => xfUrl('blog/admin.tag/save'),
            'class'     => 'row',
            'reset'     => '重置',
            'items'     => model('blog/Tag','form')->items(),
        ]);
        $this->assign('form', $form);
        $this->assign($this->site);
        return $this->fetch();
    }
    public function save()
    {
        $model = model('blog/Tag','loglic');
        $result = $model->dataSave(input('post.','a'));
        if(!$result){
            $this->error($model->getError());
        }
        $this->success('成功','blog/admin.tag/index');
    }

    public function delete()
    {
        $result = model('common/Tag','loglic')->deleteId(input('id/d',0));
        if($result){
            $this->success('成功');
        }else{
            $this->error('失败');
        }
    }

    public function deletes()
    {
        foreach(input('ids/a') as $key=>$typeId){
            model('common/Tag','loglic')->deleteId($typeId);
        }
        $this->success('成功');
    }
    
    public function edit()
    {
        if(!$id = input('id/d',0)){
            $this->error($this->error,'blog/admin.tag/index');
        }
        //查询数据
        $result = model('blog/Tag','loglic')->getId($id);
        if(!$result){
            $this->error($this->error,'blog/admin.tag/index');
        }
        $form = xfFormCreate([
            'name'         => 'blogAdminTagEdit',
            'action'       => xfUrl('blog/admin.tag/update'),
            'items'        => model('blog/Tag','form')->items($result),
            'reset'        => '重置',
            'class'        => 'row',
            'class_button' => 'text-left',
        ]);
        $this->assign('form',$form);
        $this->assign($this->site);
        return $this->fetch();
    }
    public function update()
    {
        $model = model('blog/Tag','loglic');
        $result = $model->dataUpdate(input('post.'));
        if(!$result){
            $this->error($model->getError());
        }
        $this->success('成功',input('session.redirect_url'));
    }

    //批量审核
    public function normal()
    {
        $result = model('common/Tag','loglic')->fieldUpdate(input('ids/a'),'tag_status','normal');

        $this->success('成功');
    }

    //批量隐藏
    public function hidden()
    {
        $result = model('common/Tag','loglic')->fieldUpdate(input('ids/a'),'tag_status','hidden');

        $this->success('成功');
    }
}