{extend name="../back" /}
{block name="main"}
<div class="w-100 d-flex justify-content-start align-items-center mb-3">
  <div class="dropdown">
    <button type="button" class="btn btn-dark btn-sm dropdown-toggle" data-bs-toggle="dropdown"><i class="bi-tools mx-1"></i>批量操作</button>
    <div class="dropdown-menu">
      <a class="dropdown-item xf-batch" href="{:xfUrl('admin/menu/normal')}"><i class="bi-eye me-1"></i>显示</a>
      <a class="dropdown-item xf-batch" href="{:xfUrl('admin/menu/hidden')}"><i class="bi-eye-slash me-1"></i>隐藏</a>
      <li><hr class="dropdown-divider"></li>
      <a class="dropdown-item xf-batch" href="{:xfUrl('admin/menu/deletes')}" data-toggle="delete"><i class="bi-trash me-1 text-danger"></i>删除</a>
      <li><hr class="dropdown-divider"></li>
      {volist name=":model('common/Attr','loglic')->group(false)" id="group"}
      <a class="dropdown-item xf-batch" href="{:xfUrl('admin/menu/group',['value'=>$key])}"><i class="bi-plus me-1"></i>{$group}</a>
      {/volist}
    </div>
  </div>
  <div class="btn-group btn-group-sm ms-3" role="group">
    <a class="btn btn-secondary" href="{:xfUrl('admin/menu/create')}" data-toggle="create"><i class="bi-plus mx-1"></i>添加</a>
    <a class="btn btn-secondary d-none" href="{:xfUrl('admin/menu/index')}"><i class="bi-list mx-1"></i>全部</a>
    <button type="button" class="btn btn-secondary btn-sm dropdown-toggle {if $query['status']}active{/if}" data-bs-toggle="dropdown"><i class="bi-filter mx-1"></i>筛选</button>
    <div class="dropdown-menu">
      <a class="dropdown-item {empty name='query'}active{/empty}" href="{:xfUrl('admin/menu/index')}"><i class="bi-list me-1"></i>全部</a>
      <a class="dropdown-item {:xfActive($query['status'],'normal')}" href="{:xfUrlFilter('admin/menu/index',['status'=>'normal'],$query)}"><i class="bi-eye me-1"></i>显示</a>
      <a class="dropdown-item {:xfActive($query['status'],'hidden')}" href="{:xfUrlFilter('admin/menu/index',['status'=>'hidden'],$query)}"><i class="bi-eye-slash me-1"></i>隐藏</a>
      <li><hr class="dropdown-divider"></li>
      {volist name=":model('common/Attr','loglic')->group()" id="group"}
      <a class="dropdown-item {:xfActive($query['group'],$key)}" href="{:xfUrlFilter('admin/menu/index',['group'=>$key],$query)}">{$group}</a>
      {/volist}
    </div>
  </div>
  <form class="ms-3" name="adminMenuIndex" action="{:xfUrl('admin/menu/index')}" method="get">
    <div class="input-group input-group-sm">
      <input class="form-control" type="text" name="searchText" placeholder="名称" autocomplete="off" required>
      <button class="btn btn-secondary" type="submit">搜索</button>
    </div>
  </form>
</div>
<table class="table table-striped table-bordered table-hover mb-0">
  <thead>
    <tr>
      <th class="td-id"><input name="checkAll" type="checkbox"></th>
      <th class="td-id">ID</th>
      <th class="td-id">权重</th>
      <th class="td-field">排序</th>
      <th class="text-left">菜单名称</th>
      <th class="text-left">网址链接</th>
      <th class="text-left">高亮属性</th>
      <th class="te-left">菜单图标</th>
      <th class="td-field">显示状态</th>
      <th class="td-field">菜单分组</th>
      <th class="td-field">打开方式</th>
      <th class="td-op">操作</th>
    </tr>
  </thead>
  <tbody>
    {volist name="data" id="item"}
    <tr class="{if $item['level']}text-muted{/if}">
      <td class="td-id"><input name="id[]" type="checkbox" value="{$item.menu_id}"></td>
      <td class="td-id">{$item.menu_id}</td>
      <td class="td-id">{$item.menu_weight}</td>
      <td class="td-field">
        <a class="px-1 xf-weight" href="{:xfUrl('admin/menu/weight',['id'=>$item['menu_id'],'value'=>1])}"><i class="bi-arrow-up"></i></a>
        <a class="px-1 xf-weight" href="{:xfUrl('admin/menu/weight',['id'=>$item['menu_id'],'value'=>-1])}"><i class="bi-arrow-down"></i></a>
      </td>
      <td class="text-left">{$item.menu_name}</td>
      <td class="text-left">{$item.menu_url}</td>
      <td class="text-left">{$item.menu_active}</td>
      <td class="text-left"><i class="{$item.menu_icon}"></i>{$item.menu_icon}</td>
      <td class="td-field">{$item.menu_status|xfStatus}</td>
      <td class="td-field">{$item.menu_group}</td>
      <td class="td-field">{$item.menu_target}</td>
      <td class="td-op">
        <a class="px-1 text-danger" href="{:xfUrl('admin/menu/delete',['id'=>$item['menu_id']])}" data-toggle="delete">删除</a>
        <a class="px-1 text-dark" href="{:xfUrl('admin/menu/edit',['id'=>$item['menu_id']])}" data-toggle="edit">修改</a>
        <a class="px-1 text-primary" href="{:xfUrlParse($item['menu_url'])}" target="_blank">预览</a>
      </td>
    </tr>
  {/volist}
  </tbody>
</table>
{/block}