{extend name="../back" /}
{block name="main"}
<div class="w-100 d-flex justify-content-start align-items-center mb-3">
  <div class="dropdown">
    <button type="button" class="btn btn-dark btn-sm dropdown-toggle" data-bs-toggle="dropdown"><i class="bi-tools mx-1"></i>批量操作</button>
    <div class="dropdown-menu">
      <a class="dropdown-item xf-batch" href="{:xfUrl('blog/admin.tag/normal')}"><i class="bi-eye me-1"></i>显示</a>
      <a class="dropdown-item xf-batch" href="{:xfUrl('blog/admin.tag/hidden')}"><i class="bi-eye-slash me-1"></i>隐藏</a>
      <li><hr class="dropdown-divider"></li>
      <a class="dropdown-item xf-batch" href="{:xfUrl('blog/admin.tag/deletes')}" data-delete="1"><i class="bi-trash me-1 text-danger"></i>删除</a>
    </div>
  </div>
  <div class="btn-group btn-group-sm ms-3" role="group">
    <a class="btn btn-secondary" href="{:xfUrl('blog/admin.tag/create')}" data-toggle="create"><i class="bi-plus mx-1"></i>添加</a>
    <button type="button" class="btn btn-secondary btn-sm dropdown-toggle {in name='query.sortOrder' value='tag_id,tag_weight,tag_count'}active{/in}" data-bs-toggle="dropdown"><i class="bi-sort-down me-1"></i>排序</button>
    <div class="dropdown-menu">
      <a class="dropdown-item {:xfActive($query['sortOrder'],'tag_id')}" href="{:xfUrlFilter('blog/admin.tag/index',['sortOrder'=>'tag_id'],$query)}">ID值</a>
      <a class="dropdown-item {:xfActive($query['sortOrder'],'tag_weight')}" href="{:xfUrlFilter('blog/admin.tag/index',['sortOrder'=>'tag_weight'],$query)}">权重</a>
      <a class="dropdown-item {:xfActive($query['sortOrder'],'tag_count')}" href="{:xfUrlFilter('blog/admin.tag/index',['sortOrder'=>'tag_count'],$query)}">统计</a>
    </div>
  </div>
  <div class="dropdown ms-3">
    <button type="button" class="btn btn-secondary btn-sm dropdown-toggle {in name='query.status' value='normal,hidden'}active{/in}" data-bs-toggle="dropdown"><i class="bi-filter mx-1"></i>按状态</button>
    <div class="dropdown-menu">
      <a class="dropdown-item {empty name='query'}active{/empty}" href="{:xfUrl('blog/admin.tag/index')}"><i class="bi-list me-1"></i>全部</a>
      <a class="dropdown-item {:xfActive($query['status'],'normal')}" href="{:xfUrlFilter('blog/admin.tag/index',['status'=>'normal'],$query)}"><i class="bi-eye me-1"></i>显示</a>
      <a class="dropdown-item {:xfActive($query['status'],'hidden')}" href="{:xfUrlFilter('blog/admin.tag/index',['status'=>'hidden'],$query)}"><i class="bi-eye-slash me-1"></i>隐藏</a>
    </div>
  </div>
  <form class="ms-3" action="{:xfUrl('blog/admin.tag/index')}" method="get">
    <div class="input-group input-group-sm">
      <input class="form-control" type="text" name="searchText" placeholder="名称" autocomplete="off" required>
      <button class="btn btn-secondary" type="submit">搜索</button>
    </div>
  </form>
</div>
<table class="table table-striped table-bordered table-hover">
  <thead>
    <tr>
      <th class="td-id"><input name="checkAll" type="checkbox"></th>
      <th class="td-id">ID</th>
      <th class="text-left">标签名称</th>
      <th class="text-left">唯一标识</th>
      <th class="td-field">显示状态</th>
      <th class="td-field">数据统计</th>
      <th class="td-field">菜单分组</th>
      <th class="td-field">分页大小</th>
      <th class="td-field">权重排序</th>
      <th class="td-op">操作</th>
    </tr>
  </thead>
  <tbody>
    {volist name="data" id="item"}
    <tr>
      <td class="td-id"><input name="id[]" type="checkbox" value="{$item.tag_id}"></td>
      <td class="td-id">{$item.tag_id}</td>
      <td class="text-left">{$item.tag_name}</td>
      <td class="text-left">{$item.tag_slug}</td>
      <td class="td-field">{$item.tag_status|xfStatus}</td>
      <td class="td-field">{$item.tag_count}</td>
      <td class="td-field">{$item.tag_menu}</td>
      <td class="td-field">{$item.tag_limit}</td>
      <td class="td-field">{$item.tag_weight}</td>
      <td class="td-op">
        <a class="px-1 text-danger" href="{:xfUrl('blog/admin.tag/delete',['id'=>$item['tag_id']])}" data-toggle="delete">删除</a>
        <a class="px-1 text-dark" href="{:xfUrl('blog/admin.tag/edit',['id'=>$item['tag_id']])}" data-toggle="edit">修改</a>
        <a class="px-1 text-primary" href="{:xfUrlTag($item,1)}" target="_blank">预览</a>
      </td>
    </tr>
  {/volist}
  </tbody>
</table>
{$pages|raw}
{/block}